## visad
Class DomainException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              visad.VisADException
                  visad.FieldException
                      visad.DomainException

All Implemented Interfaces:
  Serializable

public class DomainException
extends FieldException

Supports exceptions for bad or invalid or inappropriate domains of Fields.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`DomainException()` construct a DomainException with null message String
`DomainException(String s)` construct a DomainException with given message String

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DomainException

    public DomainException()

  construct a DomainException with null message String

### DomainException

    public DomainException(String s)

  construct a DomainException with given message String

Parameters:
  `s` - message String